import request from '@/utils/request'

// 查询白条生产记录列表
export function listPorkSideProduceRecord(query) {
  return request({
    url: '/app/porkSideProduceRecord/list',
    method: 'get',
    params: query
  })
}

// 查询白条生产记录详细
export function getPorkSideProduceRecord(id) {
  return request({
    url: '/app/porkSideProduceRecord/' + id,
    method: 'get'
  })
}

// 新增白条生产记录
export function addPorkSideProduceRecord(data) {
  return request({
    url: '/app/porkSideProduceRecord',
    method: 'post',
    data: data
  })
}

// 修改白条生产记录
export function updatePorkSideProduceRecord(data) {
  return request({
    url: '/app/porkSideProduceRecord',
    method: 'put',
    data: data
  })
}

// 删除白条生产记录
export function delPorkSideProduceRecord(id) {
  return request({
    url: '/app/porkSideProduceRecord/' + id,
    method: 'delete'
  })
}
